Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface AdminServerMBean

public interface AdminServerMBean
extends ConfigurationMBean

The MBean representing the Admininistration Server. The AdminServer MBean is a singleton for the Administration Server process that is administrating the running domain.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`DomainMBean` | `getActiveDomain()` Returns the domain mbean for the Domain which the Administration Server is currently administering.
`ServerMBean` | `getServer()` Returns the Server Mbean from the currently running domain on which this administration server is running.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServer

    public ServerMBean getServer()

  Returns the Server Mbean from the currently running domain on which this administration server is running.

  Returns:
    The Server MBean that defines the configuration for the Administration Server

### getActiveDomain

    public DomainMBean getActiveDomain()

  Returns the domain mbean for the Domain which the Administration Server is currently administering.

  Returns:
    The Domain MBean for the running domain.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD